Loading...
Searching...
No Matches
receive.c File Reference

Implements receive.h. More...

`#include <errno.h>`
`#include <limits.h>`
`#include <poll.h>`
`#include <stdint.h>`
`#include "media/lirc.h"`
`#include "lirc/driver.h"`
`#include "lirc/lirc_log.h"`
`#include "lirc/receive.h"`
`#include "lirc/ir_remote.h"`

Go to the source code of this file.

## Macros

#define | RBUF_SIZE 512
#define | REC_SYNC 8

## Functions

void | rec_set_update_mode (int mode)
| Set update mode, where recorded pre_data is verified to match the template pre_data.
void | set_waitfordata_func (int(*func)(uint32_t maxusec))
| Set the function used by waitfordata().
int | waitfordata (uint32_t maxusec)
| If set_waitfordata(func) is called, invoke and return function set this way.
void | rec_buffer_set_logfile (FILE *f)
| Set a file logging input from driver in same format as mode2(1).
void | rec_buffer_init (void)
| Clear internal buffer to pristine state.
void | rec_buffer_rewind (void)
| Reset the modules's internal fifo's read state to initial values where the nothing is read.
void | rec_buffer_reset_wptr (void)
| Reset internal fifo's write pointer.
int | rec_buffer_clear (void)
| Flush the internal fifo and store a single code read from the driver in it.
int | receive_decode (struct ir_remote *remote, struct decode_ctx_t *ctx)
| Decode data from remote.

## Variables

int(* | lircd_waitfordata )(uint32_t timeout) = NULL

## Detailed Description

Implements receive.h.

Author
  Christoph Bartelmus

Definition in file receive.c.

## Macro Definition Documentation

## RBUF_SIZE

#define RBUF_SIZE 512

Definition at line 33 of file receive.c.

## REC_SYNC

#define REC_SYNC 8

Definition at line 35 of file receive.c.

## Variable Documentation

## lircd_waitfordata

int(* lircd_waitfordata) (uint32_t timeout) | ( | uint32_t | timeout | ) | = NULL

Definition at line 70 of file receive.c.